%define name vino
%define version 2.10.0
%define release 1mdk

Summary: GNOME VNC server and client
Name: %{name}
Version: %{version}
Release: %{release}
Source0: http://ftp.gnome.org/pub/GNOME/sources/vino/%{name}-%{version}.tar.bz2
License: GPL
Group: Networking/Remote access
Url: http://www.gnome.org
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: libgnomeui2-devel
BuildRequires: libglade2.0-devel
BuildRequires: libgnutls-devel
BuildRequires: perl-XML-Parser

%description
The package contains an integrated GNOME VNC server.

%prep
%setup -q

%build
#gw remove session support once we move to gnome-session 2.8
%configure2_5x --enable-session-support
%make

%install
rm -rf $RPM_BUILD_ROOT
GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 %makeinstall_std
%find_lang %name --with-gnome

%clean
rm -rf $RPM_BUILD_ROOT

%post
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/vino-server.schemas > /dev/null

%preun
if [ "$1" = "0" ] ; then
 export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
 gconftool-2 --makefile-uninstall-rule %{_sysconfdir}/gconf/schemas/vino-server.schemas > /dev/null
fi

%files -f %name.lang
%defattr(-,root,root)
%doc README NEWS AUTHORS ChangeLog docs/remote-desktop.txt docs/TODO
%_sysconfdir/gconf/schemas/vino-server.schemas
%_bindir/vino-preferences
%_bindir/vino-session
%_libdir/bonobo/servers/GNOME_RemoteDesktop.server
%_libexecdir/vino-server
%_datadir/gnome/vino/
%_datadir/applications/vino-preferences.desktop
%_datadir/icons/hicolor/48x48/apps/*

%changelog
* Mon Mar  7 2005 Gtz Waschk <waschk@linux-mandrake.com> 2.10.0-1mdk
- New release 2.10.0
- update file list

* Wed Oct 13 2004 Goetz Waschk <waschk@linux-mandrake.com> 2.8.1-1mdk
- New release 2.8.1

* Wed Sep 29 2004 Goetz Waschk <waschk@linux-mandrake.com> 2.8.0.1-1mdk
- New release 2.8.0.1

* Tue Sep 14 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.8.0-1mdk
- reenable session support
- New release 2.8.0

* Mon Aug 30 2004 Goetz Waschk <waschk@linux-mandrake.com> 2.7.92-1mdk
- New release 2.7.92

* Thu Aug 26 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.7.91-2mdk
- fix buildrequires

* Tue Aug 17 2004 Goetz Waschk <waschk@linux-mandrake.com> 2.7.91-1mdk
- New release 2.7.91

* Thu Aug 12 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.7.90-1mdk
- fix description
- New release 2.7.90

* Fri Jul 23 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.7.4-1mdk
- initial package
